Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.utils
Class HexBin

    java.lang.Object
      |
      +--org.apache.xerces.utils.HexBin

public final class HexBin
extends java.lang.Object

format validation This class encodes/decodes hexadecimal data

Version:
  $Id: HexBin.java,v 1.7 2001/05/29 22:19:02 neilg Exp $
Author:
  Jeffrey Rodriguez

Constructor Summary
`HexBin()`

Method Summary
`static byte[]` | `decode(byte[] binaryData)`
`static byte[]` | `encode(byte[] binaryData)` array of byte to encode
`static int` | `getDecodedDataLength(byte[] hexData)`
`static boolean` | `isHex(java.lang.String isValidString)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HexBin

    public HexBin()

Method Detail

### isHex

    public static boolean isHex(java.lang.String isValidString)

### encode

    public static byte[] encode(byte[] binaryData)

  array of byte to encode
  Parameters:
    `binaryData` -
  Returns:
    return encode binary array

### decode

    public static byte[] decode(byte[] binaryData)

### getDecodedDataLength

    public static int getDecodedDataLength(byte[] hexData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.